from netCDF4 import Dataset
import numpy
import  matplotlib.pylab as plt

for fn in ['raobcore17_raw_gridded_2018.0.nc','raobcore17_gridded_2018.0.nc','rich17obs_mean_gridded_2018.0.nc']:
    f=Dataset(fn)
    ts=numpy.nanmean(f.variables['anomalies'][:,5,:,:],axis=(1,2))
    plt.plot(f.variables['time'][-240:]/365.25,ts[-240:],label=fn.split('_')[0])
plt.legend()
plt.show()
